| Home | Libraries | People | FAQ | More

## Function template erase_head

boost::algorithm::erase_head — Erase head algorithm.

## Synopsis

    template<typename SequenceT>
      void erase_head(SequenceT & Input, unsigned int N);

## Description

Remove the head from the input. The head is a prefix of a seqence of given size. If the sequence is shorter then required, the whole string is considered to be the head. The input sequence is modified in-place.

Parameters

Input

  An input string

N

  Length of the head

| Copyright © 2002-2004 Pavol Droba